API reference and playgroundPayouts
List all transfers
curl -X GET "https://test-api.kashier.io/v2/transfers"{ "message": "success", "data": { "inProgressTransfersCount": 28, "transfers": [ { "merchantId": "MID-1007-931", "storeName": "kashier store", "amount": 100, "id": "TRS-1007931103", "method": "wallet", "createdAt": "2024-11-20 18:05:15.442000+00:00", "initiatedCount": 0, "inTransitCount": 1, "transferredCount": 0, "failedCount": 0, "transfersCount": 1, "status": "IN_TRANSIT", "name": "AHmed daoud" }, { "merchantId": "MID-1007-931", "storeName": "kashier store", "amount": 100, "id": "TRS-1007931102", "method": "card", "createdAt": "2024-11-20 18:04:39.054000+00:00", "initiatedCount": 0, "inTransitCount": 1, "transferredCount": 0, "failedCount": 0, "transfersCount": 1, "status": "IN_TRANSIT", "name": "ahmed" }, { "merchantId": "MID-1007-931", "storeName": "kashier store", "amount": 100, "id": "TRS-1007931100", "method": "bank", "createdAt": "2024-11-20 13:15:49.224000+00:00", "initiatedCount": 0, "inTransitCount": 0, "transferredCount": 1, "failedCount": 0, "transfersCount": 1, "status": "TRANSFERRED", "name": "November payouts" }, { "merchantId": "MID-1007-931", "storeName": "kashier store", "amount": 100, "id": "TRS-100793199", "method": "bank", "createdAt": "2024-11-20 13:10:43.829000+00:00", "initiatedCount": 0, "inTransitCount": 0, "transferredCount": 0, "failedCount": 1, "transfersCount": 1, "status": "FAILED", "name": "AHmed dswg" } ] }, "pagination": { "total": 103, "limit": 20, "page": 1, "pages": 6 }}Lists all payout transfers, with pagination.
Authorization
secretKey Authorization<token>
Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).
In: header
Query Parameters
sortType?string
Sorting direction.
limit?integer
Number of records per page.
page?integer
Page number.
Response Body
application/json
application/json
application/json
application/json
application/json